Bug 928393 - Cannot create '/var/run/NetworkManager': Permission denied
Cannot create '/var/run/NetworkManager': Permission denied
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-03-27 10:46 EDT by Ľuboš Kardoš
Modified: 2016-07-31 21:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:20:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
audit.log (59.44 KB, text/x-log)
2013-03-27 10:46 EDT, Ľuboš Kardoš
no flags Details

  None (edit)
Description Ľuboš Kardoš 2013-03-27 10:46:12 EDT
Description of problem:
Starting NetworkManager service is unsuccessful with error: "Cannot create '/var/run/NetworkManager': Permission denied"

Version-Release number of selected component (if applicable):
F19-Alpha-TC2
NetworkManager-0.9.8.0-1.fc19.x86_64
selinux-policy-3.12.1-23.fc19.noarch

How reproducible:
always

Steps to Reproduce:
1. On installed system run command "systemctl restart NetworkManager"
  
Actual results:
You can see "NetworkManager[474]: <error> [1364394113.252601] [main.c:406] main(): Cannot create '/var/run/NetworkManager': Permission denied" in output of command "systemctl status NetworkManager". 

Expected results:
Service NetworkManager should succesfully start.

Additional info:
After turning off selinux with command "setenforce 0", problem disappeared and it was possible to start NetworkManager service successfully. Attached audit.log.
Comment 1 Ľuboš Kardoš 2013-03-27 10:46:56 EDT
Created attachment 717113 [details]
audit.log
Comment 2 Daniel Walsh 2013-03-27 12:17:42 EDT
restorecon /var/run

Will fix this.
Comment 3 Daniel Walsh 2013-03-27 12:18:16 EDT
Fixed in selinux-policy-3.12.1-24.fc19
Comment 4 Ľuboš Kardoš 2013-03-29 06:29:59 EDT
Verified on selinux-policy-3.12.1-24.fc19
Comment 5 Fedora End Of Life 2015-01-09 17:41:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-18 06:20:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.